/*
 * Copyright (C) 2001, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   Wes Bethel, R3vis Corporation, Marin County, California
 *
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://openrm.sourceforge.net/.
 */

/*
 * $Id: rmjpeg.h,v 1.1 2001/06/03 20:54:19 wes Exp $
 * Version: $Name: OpenRM-1-4-0-FCS2 $
 * $Revision: 1.1 $
 * $Name: OpenRM-1-4-0-FCS2 $
 * $Log: rmjpeg.h,v $
 * Revision 1.1  2001/06/03 20:54:19  wes
 * Initial entry.
 *
 */

#ifndef __rmjpeg_h
#define __rmjpeg_h

#if RM_JPEG
#include <jpeglib.h>
#include <jerror.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif
    
/* rmjpeg.c - JPEG input/output [2] */
RM_EXPORT_API  RMimage * rmiReadJPEG (const char * filename);
RM_EXPORT_API  RMenum    rmiWriteJPEG (const char * filename, int quality, const RMimage * image);

#ifdef __cplusplus
}
#endif

#endif
